LXC-START-EPHEMERAL(1)

NAME
lxc-start-ephemeral - start an ephemeral copy of an existing container

SYNOPSIS
lxc-start-ephemeral [ -o ] [ -n ] [ -d ] [ --bdir ] [ --user ] [ --key ] [ --storage-type ] [ --union-type ] [ --keep-data ] [ COMMAND ]

DESCRIPTION

lxc-start-ephemeral start an ephemeral copy of an existing container.

OPTIONS

-o  Original container name

[-n]
    Name of the ephemeral container (defaults to a random suffix).

[-d]
    Start the container in background and print the name and IP. This option can't be used if a command is passed.

[--bdir]
    Directory to bind mount into container. Can be passed multiple times.

[--user]
    The user to connect to the container as. Used when passing a command to lxc-start-ephemeral.

[--key]
    Copy the provided SSH public key into the container.

[--storage-type]
    Specify the type of storage used by the container. Valid types are tmpfs or dir.

[--union-type]
    Force a specific union file system. Can be one of: overlayfs aufs

[--keep-data]
    Use a persistent backend instead of tmpfs. With this option, you can lxc-stop and lxc-start the no longer so ephemeral container (it's still an overlay, but a persistent one).

[COMMAND]
    Immediately run the provided command in the container. This uses attach if the kernel supports it, otherwise uses ssh. This is incompatible with daemon mode.

SEE ALSO

lxc-start(1),

EXAMPLES

lxc-start-ephemeral -o p1
    Simply start an ephemeral container and attach to the console. This container will be based on existing container "p1".

lxc-start-ephemeral -o p1 -n p1-ephemeral -d
    Start an ephemeral container based on p1 called p1-ephemeral and print its IP and name to the console instead of attaching.

SEE ALSO

lxc(7), lxc-create(1), lxc-destroy(1), lxc-start(1), lxc-stop(1), lxc-execute(1), lxc-console(1), lxc-monitor(1), lxc-wait(1), lxc-cgroup(1), lxc-ls(1), lxc-info(1), lxc-freeze(1), lxc-unfreeze(1), lxc-attach(1), lxc.conf(5)

AUTHOR

Stéphane Graber <stgraber@ubuntu.com>